Skip to content

Update A Specific Asset

Request

Update an existing asset's record. When updating an asset you only need to specify the fields that you would like to change. All other fields will remain unchanged.

To update an asset's group, you might send the following XML.

<asset>
 <group_ids>2908</group_ids>
</asset>

To remove an asset's group, you might send the following XML.

<asset>
 <group_ids></group_ids>
</asset>

To change the name of an asset, you might send the following XML.

<asset>
    <name>Smith St Rose Garden</name>
</asset>

To disable an asset, you might send the following XML.

<asset>
    <enabled>false</enabled>
</asset>
Security
apiKey
Path
idstringrequired
Query
api_keystringrequired
use_third_party_idinteger

Sets the the call to look for a Third Party ID instead of the vWork ID.

Example:use_third_party_id='1'
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

PUT
/v5/assets/{id}.xml
curl -i -X PUT \
  'https://api.vworkapp.com/v5/assets/{id}.xml?api_key=string&use_third_party_id='\''1'\''&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip' \
  -H 'Content-Type: application/xml; charset=utf-8' \
  -d '<?xml version="1.0" encoding="utf-8"?>
  <asset>
      <enabled>false</enabled>
  </asset>'

Responses

OK

Headers
Cache-Controlstring
Example:"max-age=0, private, must-revalidate"
Content-Encodingstring
Example:"gzip"
Content-Security-Policystring
Example:"frame-ancestors *.vworkapp.com *.vwork.io *.visfleet.com *.salesforce.com *.zoho.com, default-src: google.com google-analytics.com googleapis.com gst
Datestring
Example:"Mon, 13 Jun 2016 23:52:16 GMT"
ETagstring
Example:"W/\"cd023b0b002846ec7649112cadaf3433\""
Statusstring
Example:"200 OK"
Strict-Transport-Securitystring
Example:"max-age=31536000"
Transfer-Encodingstring
Example:"chunked"
X-Content-Type-Optionsstring
Example:"nosniff"
X-Frame-Optionsstring
Example:"SAMEORIGIN"
X-Request-Idstring
Example:"8b9fb0f1-7020-466e-955b-c1d4f1f5be11"
X-Runtimestring
Example:"0.105612"
X-Unique-IDstring
Example:"CA7C7B8A:CD56_0A000ED8:01BB_575F46FE_6ED87C:1EB6"
X-XSS-Protectionstring
Example:"1; mode=block"
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

Response
<?xml version="1.0" encoding="utf-8"?>
<asset>
    <id readonly="readonly">345232</id>
    <name>Milkshake</name>
    <model>Yard</model>
    <serial>123456</serial>
    <notes>A sample note</notes>
    <group_ids>2908</group_ids>
    <customer_id>123456</customer_id>
    <attachment_id></attachment_id>
    <third_party_id>Kelis</third_party_id>
    <cost>42.50</cost>
    <enabled>false</enabled>
    <location>
        <id type="integer">84710961</id>
        <address1></address1>
        <address2></address2>
        <suburb></suburb>
        <city></city>
        <post_code></post_code>
        <country></country>
        <province></province>
        <region></region>
        <state></state>
        <formatted_address>200 Queen Street, Auckland, New Zealand</formatted_address>
        <lat type="decimal">-36.848616</lat>
        <lng type="decimal">174.765643</lng>
        <deleted_at type="datetime"></deleted_at>
        <created_at type="datetime" readonly="readonly">2021-03-10T06…